
# This .spec file is for a Fedora type of install
%define name		revhead
%define version		4.3.0

# ---------------------------------------------------

Prefix:			/

# derived from above but they work as fine tuning...
# Needed for ./configure which is part of autogen.sh
# Alter as required

# bindir should really be /usr/bin (not /bin) 
%define bindir		%{prefix}/usr/bin

%define datadir		%{prefix}/usr/share
%define sysconfdir	%{prefix}/etc
%define localstatedir	%{prefix}/var
%define mandir		%{prefix}/usr/share/man


# derived from above but for this .spec file only
# DO NOT CHANGE THESE UNLESS YOU KNOW WHAT YOU'RE DOING!
%define doc		%{datadir}/%{name}
%define docdir		%{datadir}/%{name}/doc

%define pixmaps   %{datadir}/pixmaps
%define pixmapsdir %{datadir}/pixmaps/%{name}

%define appdir    %{datadir}/applications

%define logdir		%{localstatedir}/log
%define rundir		%{localstatedir}/run

%define sname	%{name}-%{version}
%define sdir	$RPM_BUILD_DIR/%{name}-%{version}

Name:           %{name}
Version:        %{version}
Release:        1%{?dist}
Summary:     	  Create/maintain programming file revision headers and history  

Group:       	  Applications/System   
License:        GPL
Packager:       David M. Balean  <linprogs@balean.net>
Vendor:		      David M. Balean  <linprogs@balean.net>
URL:		        http://www.balean.net/linprogs
Requires: 	    glib2 >= 2.4.0
Requires: 	    gtk3 >= 3.4.0

BuildRoot:      %{_tmppath}/%{sname}
Source:		      %{sname}.tar.gz

%description
Create and maintain revision headers on program source files
while maintaining a history of the project using a GTK++ 
graphical user interface. Can maintain a separate ChangeLog
and the source files can be spread over several directories.
Currently supports C, C++, ADA, PHP, JAVA, PERL and FORTRAN 90/95. 

%prep
%setup -q


%build
rm -rf $RPM_BUILD_ROOT

rm -f %{sdir}/Makefile %{sdir}/Makefile.in configure autote.cache

rm -f %{sdir}/src/Makefile %{sdir}/Makefile.in
rm -rf %{sdir}/src/.deps


%{sdir}/autogen.sh  --prefix=%{prefix} \
	--bindir=%{bindir} --datadir=%{datadir} \
	--sysconfdir=%{sysconfdir} \
	--localstatedir=%{localstatedir} \
	--mandir=%{mandir}

make


%install

make prefix=$RPM_BUILD_ROOT%{prefix} \
	bindir=$RPM_BUILD_ROOT%{bindir} \
	datadir=$RPM_BUILD_ROOT%{datadir} \
	sysconfdir=$RPM_BUILD_ROOT%{sysconfdir} \
	localstatedir=$RPM_BUILD_ROOT%{localstatedir} \
	mandir=$RPM_BUILD_ROOT%{mandir} install

gzip --best $RPM_BUILD_ROOT%{mandir}/man1/revhead.1

%clean
rm -rf $RPM_BUILD_ROOT

%files

%defattr(-,root,root,-)

# %dir %{localstatedir}/run
# %dir %{localstatedir}/log

%dir %{doc}
%dir %{docdir}
%dir %{pixmaps}
%dir %{pixmapsdir}
%dir %{appdir}

# %dir %{docdir}/files
# %dir %{sysconfdir}

%dir %{mandir}
%dir %{mandir}/man1

%defattr(-,root,root,-)

%{mandir}/man1/revhead.1.gz

# Looks like this has to be it...
%{doc}/AUTHORS
%{doc}/ChangeLog
%{doc}/COPYING
%{doc}/NEWS
%{doc}/README
%{doc}/TODO
%{doc}/Revhead.doc(original_amiga).txt

%{docdir}/revhead.html
%{docdir}/images/jensen.png
%{docdir}/images/jensen.svg
%{docdir}/images/jensen.svgz
%{docdir}/images/RH_change_directory.png
%{docdir}/images/RH_defaults_project_page.png
%{docdir}/images/RH_environment_directories_page.png
%{docdir}/images/RH_environment_language_page.png
%{docdir}/images/RH_environment_version_page.png
%{docdir}/images/RH_fixdate_files.png
%{docdir}/images/RH_main_window.png
%{docdir}/images/RH_path_warning.png
%{docdir}/images/RH_touch_files.png
%{docdir}/images/RH_update_file_author_page.png
%{docdir}/images/RH_update_project_copyright_page.png
%{docdir}/images/RH_update_project_name_page.png
%{docdir}/images/RH_update_project_summary_comment_page.png

%{pixmapsdir}/jensen.png
%{pixmapsdir}/jensen.svg
%{pixmapsdir}/jensen.svgz
%{appdir}/RevHead.desktop

%defattr(0711,root,root,-)
%{bindir}/revhead


