/****************************************************************************
*RevHead_Start                                                              *
*                                                                           *
* Project Details                                                           *
* ---------------                                                           *
*Project Name:    RevHead                                                   *
*Project Version: 4.3.0                                                     *
*Copyright Owner: David M. Balean <linprogs@balean.net>                     *
*Copyright Notice:                                                          *
* This program is free software; you can redistribute it and/or modify it   *
* under the terms of the GNU General Public License as published by         *
* the Free Software Foundation, either version 3 of the License or,         *
* (at your option) any later version.                                       *
* This program is distributed in the hope that it will be useful,           *
* but WITHOUT ANY WARRANTY; without even the implied warranty of            *
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                      *
* See the GNU General Public License for more details.                      *
* You should have received a copy of the GNU General Public License         *
* along with this program. If not, see <http://www.gnu.org/licenses/>.      *
*                                                                           *
*Project Date:    Tuesday 16th April 2013                                   *
*                                                                           *
*Start DateStamp: 15-Sep-2008 11.16.15 -36000 0                             *
*                                                                           *
*Contact:                                                                   *
* email: linprogs@balean.net                                                *
* snail: D.M. Balean, 44 Wyong Road, Killarney Vale, N.S.W. 2261, AUSTRALIA *
* URL:  http://balean.net/linprogs                                          *
*                                                                           *
*Project Summary:                                                           *
* Create/maintain programming file revision headers and history             *
*                                                                           *
*****************************************************************************
*                                                                           *
*This File:       about.cpp                                                 *
*Author:          David M. Balean <linprogs@balean.net>                     *
*DateStamp:       15-Apr-2013 18.28.02 -36000 0                             *
*                                                                           *
*File Summary:                                                              *
* A copyright notice                                                        *
*                                                                           *
*RevHead_End                                                                *
****************************************************************************/


#include "about.h"
#include "misc.h"
#include "RH_version.h"

using namespace misc;

About::~About(void)
{
cout << "~About:\n";
}

About::About(RevHead *rh)
{	
cout << "About:\n";
this->rh = rh;
create_display();
}


void About::callback_cancel(GtkWidget *widget, About *ab)
{
ab->rh->FrontPanel();
}

void About::create_display(void)
{
 
GtkWidget *scrolled_window;
GtkWidget *widget;
GtkWidget *box;
 
string message = RH_VERSION_STRING;
message += "\n";
message +=  RH_PROJECT_CONTACT;
message +=   "\n\n";

message +=  RH_PROJECT_COPYRIGHT;
message += "\n\n";

rh->DestroyWidgets();


scrolled_window = gtk_scrolled_window_new(NULL, NULL);

    /* the policy is one of GTK_POLICY AUTOMATIC, or GTK_POLICY_ALWAYS.
     * GTK_POLICY_AUTOMATIC will automatically decide whether you need
     * scrollbars, whereas GTK_POLICY_ALWAYS will always leave the scrollbars
     * there.  The first one is the horizontal scrollbar, the second, 
     * the vertical. */
gtk_scrolled_window_set_policy ( GTK_SCROLLED_WINDOW(scrolled_window),
                                GTK_POLICY_AUTOMATIC, GTK_POLICY_ALWAYS );

gtk_box_pack_start(GTK_BOX(rh->vbox), scrolled_window, TRUE, TRUE, 0);

box = gtk_box_new(GTK_ORIENTATION_VERTICAL, 0);
gtk_box_set_homogeneous(GTK_BOX(box), FALSE);
gtk_scrolled_window_add_with_viewport(GTK_SCROLLED_WINDOW(scrolled_window),
					box);

widget = gtk_label_new(message.c_str());
gtk_container_add(GTK_CONTAINER(box),widget);

box = gtk_box_new(GTK_ORIENTATION_HORIZONTAL, 2);
gtk_box_set_homogeneous(GTK_BOX(box), FALSE);
gtk_box_pack_end (GTK_BOX(rh->vbox), box, FALSE, FALSE, 0); // expand, fill, padding

// CANCEL
widget = gtk_button_new_with_label(RevHead::CancelTXT.c_str());

//void decorate_widget(GtkWidget *widget, GdkRGBA *fg_normal, GdkRGBA *bg_normal,  GdkRGBA *bg_prelight, const gchar *stock_id)
//decorate_widget(widget, GdkRGBA *fg_normal, GdkRGBA *bg_normal,  GdkRGBA *bg_prelight, const gchar *stock_id)
	
decorate_widget(widget, &black, NULL, NULL, NULL, GTK_STOCK_CANCEL);


	
g_signal_connect(G_OBJECT (widget), "clicked",
        G_CALLBACK(callback_cancel), this);
gtk_box_pack_end (GTK_BOX(box), widget, FALSE, FALSE, 0); // expand, fill, padding

  // --- Allow it to be the default button
gtk_widget_set_can_default(GTK_WIDGET(widget), TRUE);
	
  // --- Make the button the default button
gtk_widget_grab_default (widget);

  // --- Make everything visible

gtk_widget_show_all(rh->vbox);
}
