/****************************************************************************
*RevHead_Start                                                              *
*                                                                           *
* Project Details                                                           *
* ---------------                                                           *
*Project Name:    RevHead                                                   *
*Project Version: 4.3.0                                                     *
*Copyright Owner: David M. Balean <linprogs@balean.net>                     *
*Copyright Notice:                                                          *
* This program is free software; you can redistribute it and/or modify it   *
* under the terms of the GNU General Public License as published by         *
* the Free Software Foundation, either version 3 of the License or,         *
* (at your option) any later version.                                       *
* This program is distributed in the hope that it will be useful,           *
* but WITHOUT ANY WARRANTY; without even the implied warranty of            *
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                      *
* See the GNU General Public License for more details.                      *
* You should have received a copy of the GNU General Public License         *
* along with this program. If not, see <http://www.gnu.org/licenses/>.      *
*                                                                           *
*Project Date:    Tuesday 16th April 2013                                   *
*                                                                           *
*Start DateStamp: 15-Sep-2008 11.16.15 -36000 0                             *
*                                                                           *
*Contact:                                                                   *
* email: linprogs@balean.net                                                *
* snail: D.M. Balean, 44 Wyong Road, Killarney Vale, N.S.W. 2261, AUSTRALIA *
* URL:  http://balean.net/linprogs                                          *
*                                                                           *
*Project Summary:                                                           *
* Create/maintain programming file revision headers and history             *
*                                                                           *
*****************************************************************************
*                                                                           *
*This File:       changedir.h                                               *
*Author:          David M. Balean <linprogs@balean.net>                     *
*DateStamp:       13-Apr-2013 18.59.57 -36000 0                             *
*                                                                           *
*File Summary:                                                              *
* Header file for changedir.cpp                                             *
*                                                                           *
*RevHead_End                                                                *
****************************************************************************/
#ifndef __CHANGEDIR_H__
#define __CHANGEDIR_H__

#include <iostream>
#include <gtk/gtk.h>

//#include "requester.h"

#include "revhead.h"

using namespace std;

class ChangeDir
{
public:
  ChangeDir(class RevHead *revhead);
  ~ChangeDir(void);


void change_dir(string title, bool dirname_only);
string get_dirname(void);

private:
  static void callback_cancel_change_directory(GtkWidget *widget, ChangeDir *cd);
	static void callback_do_change_dir(GtkWidget *widget, ChangeDir *cd);
	
	static void do_hide_widget(GtkWidget *widget, RevHead *rh);
	void hide_widgets(RevHead *rh);

  RevHead *rh;
	static GtkWidget *directory_chooser;

	string dirname;
	bool dirname_only;
	
protected:


};

#endif // __CHANGEDIR_H__
