/****************************************************************************
*RevHead_Start                                                              *
*                                                                           *
* Project Details                                                           *
* ---------------                                                           *
*Project Name:    RevHead                                                   *
*Project Version: 4.3.0                                                     *
*Copyright Owner: David M. Balean <linprogs@balean.net>                     *
*Copyright Notice:                                                          *
* This program is free software; you can redistribute it and/or modify it   *
* under the terms of the GNU General Public License as published by         *
* the Free Software Foundation, either version 3 of the License or,         *
* (at your option) any later version.                                       *
* This program is distributed in the hope that it will be useful,           *
* but WITHOUT ANY WARRANTY; without even the implied warranty of            *
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                      *
* See the GNU General Public License for more details.                      *
* You should have received a copy of the GNU General Public License         *
* along with this program. If not, see <http://www.gnu.org/licenses/>.      *
*                                                                           *
*Project Date:    Tuesday 16th April 2013                                   *
*                                                                           *
*Start DateStamp: 15-Sep-2008 11.16.15 -36000 0                             *
*                                                                           *
*Contact:                                                                   *
* email: linprogs@balean.net                                                *
* snail: D.M. Balean, 44 Wyong Road, Killarney Vale, N.S.W. 2261, AUSTRALIA *
* URL:  http://balean.net/linprogs                                          *
*                                                                           *
*Project Summary:                                                           *
* Create/maintain programming file revision headers and history             *
*                                                                           *
*****************************************************************************
*                                                                           *
*This File:       date.h                                                    *
*Author:          David M. Balean <linprogs@balean.net>                     *
*DateStamp:       22-Jan-2009 09.40.34 -36000 3600                          *
*                                                                           *
*File Summary:                                                              *
* Header file for date.cpp                                                  *
* 20-Aug-2004 12.10.29 -36000 0.00    DMB                                   *
*                                                                           *
*RevHead_End                                                                *
****************************************************************************/

#ifndef _DATE_H
#define _DATE_H

#include "revhead.h"

using namespace std;

enum { D_M_Y, D_M_Y_T, Y_M_D_T }; // Types of date output by ds2date

class Date
{
    public:
        Date(RevHead *revhead);
        ~Date(void);

        void get_current_time(void);
               
        int get_daylight_saving(time_t utc_ds, time_t tz);

        gboolean date2ds(char *date, time_t *ds, time_t *tz, int *daylight);

        void ds2date(time_t *ds, time_t *tz, int *daylight, string *datebuffer, int flag);

        int ds_cmp(time_t *d1, time_t *d2);
        gboolean date_file(string filename, time_t *ds);
        gboolean get_date(time_t *ds, time_t *tz, int *daytime, string pathname, int type);

        char * get_date_now(void);
        void date_log_operation(string *opname);

        static const string D_StampTXT;
        
    private:
        gboolean isleapyear(long year);  
        time_t dmyt2ds(long day, long month, long year, 
                        long hour, long minute, long second);

        RevHead *rh;
        static const char *MonthTxt[12];
        static const char *DayTxt[7];


    protected:
      
      
      
};

#endif  // _DATE_H
