/****************************************************************************
*RevHead_Start                                                              *
*                                                                           *
* Project Details                                                           *
* ---------------                                                           *
*Project Name:    RevHead                                                   *
*Project Version: 4.3.0                                                     *
*Copyright Owner: David M. Balean <linprogs@balean.net>                     *
*Copyright Notice:                                                          *
* This program is free software; you can redistribute it and/or modify it   *
* under the terms of the GNU General Public License as published by         *
* the Free Software Foundation, either version 3 of the License or,         *
* (at your option) any later version.                                       *
* This program is distributed in the hope that it will be useful,           *
* but WITHOUT ANY WARRANTY; without even the implied warranty of            *
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                      *
* See the GNU General Public License for more details.                      *
* You should have received a copy of the GNU General Public License         *
* along with this program. If not, see <http://www.gnu.org/licenses/>.      *
*                                                                           *
*Project Date:    Tuesday 16th April 2013                                   *
*                                                                           *
*Start DateStamp: 15-Sep-2008 11.16.15 -36000 0                             *
*                                                                           *
*Contact:                                                                   *
* email: linprogs@balean.net                                                *
* snail: D.M. Balean, 44 Wyong Road, Killarney Vale, N.S.W. 2261, AUSTRALIA *
* URL:  http://balean.net/linprogs                                          *
*                                                                           *
*Project Summary:                                                           *
* Create/maintain programming file revision headers and history             *
*                                                                           *
*****************************************************************************
*                                                                           *
*This File:       defaults.h                                                *
*Author:          David M. Balean <linprogs@balean.net>                     *
*DateStamp:       05-Apr-2013 16.08.23 -36000 3600                          *
*                                                                           *
*File Summary:                                                              *
* Header file for newdefs.cpp  (now named defaults.cpp)                     *
* 20-Aug-2004 12.10.29 -36000 0.00    DMB                                   *
*                                                                           *
*RevHead_End                                                                *
****************************************************************************/

#ifndef _NEWDEFS_H
#define _NEWDEFS_H

#include "entrylist.h"
#include "revhead.h"

class Defaults
{
public:
  Defaults(RevHead *revhead);
  ~Defaults(void);
    
  void get_new_defs(void);
  void load(void);


private:    
  gboolean do_save(void);
  static void callback_use(GtkWidget *widget, Defaults *nd);
  void info_from_widgets(Defaults *nd);
  static void callback_save_use(GtkWidget *widget, Defaults *nd);
  static void callback_cancel(GtkWidget *widget, Defaults *nd);
  static void callback_np_want_micro_check_button_clicked(GtkWidget *widget, Defaults *nd);

//  static void f_version_checkbutton_clicked(GtkWidget *widget, Defaults *nd); // file versions

  void fill_project_page(GtkWidget *vbox);
  void fill_copyright_page(GtkWidget *vbox);
  void fill_file_page(GtkWidget *vbox);

  static string P_Start_VersionTXT;
  static string P_Auto2TXT;
  static string P_Want_MicroTXT;

  static string F_AuthorTXT;
  static string F_AuthorEmailTXT;
  static string F_StartVersion2TXT;
  static string F_Auto2TXT;

  static string FileAuthorTXT;
  static string FileAuthorEmailTXT;
  static string FileVersionsTXT;
  static string F_StartVersionTXT;
  static string F_AutoTXT;
  static string P_AutoTXT;

  static string Default_FileTXT;

  RevHead *rh;
    
  GtkWidget *npowner_entry;
  GtkWidget *npowner_email_entry;

  GtkWidget *np_major_vernum_entry;
  GtkWidget *np_minor_vernum_entry;
  GtkWidget *np_micro_vernum_entry;
  GtkWidget *np_auto_inc_check_button;
  GtkWidget *np_want_micro_check_button;

  GtkWidget *nfauthor_entry;
  GtkWidget *nfauthor_email_entry;

//  GtkWidget *f_version_checkbutton;
  GtkWidget *f_auto_inc_checkbutton;
  GtkWidget *nf_major_vernum_entry;
  GtkWidget *nf_minor_vernum_entry;
  GtkWidget *nf_micro_vernum_entry;

  class EntryList contact_el;
  class EntryList copyright_el;

  GtkWidget *notebook;
//  GtkTooltips *tooltips;

protected:

};

#endif  // _NEWDEFS_H
