/****************************************************************************
*RevHead_Start                                                              *
*                                                                           *
* Project Details                                                           *
* ---------------                                                           *
*Project Name:    RevHead                                                   *
*Project Version: 4.3.0                                                     *
*Copyright Owner: David M. Balean <linprogs@balean.net>                     *
*Copyright Notice:                                                          *
* This program is free software; you can redistribute it and/or modify it   *
* under the terms of the GNU General Public License as published by         *
* the Free Software Foundation, either version 3 of the License or,         *
* (at your option) any later version.                                       *
* This program is distributed in the hope that it will be useful,           *
* but WITHOUT ANY WARRANTY; without even the implied warranty of            *
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                      *
* See the GNU General Public License for more details.                      *
* You should have received a copy of the GNU General Public License         *
* along with this program. If not, see <http://www.gnu.org/licenses/>.      *
*                                                                           *
*Project Date:    Tuesday 16th April 2013                                   *
*                                                                           *
*Start DateStamp: 15-Sep-2008 11.16.15 -36000 0                             *
*                                                                           *
*Contact:                                                                   *
* email: linprogs@balean.net                                                *
* snail: D.M. Balean, 44 Wyong Road, Killarney Vale, N.S.W. 2261, AUSTRALIA *
* URL:  http://balean.net/linprogs                                          *
*                                                                           *
*Project Summary:                                                           *
* Create/maintain programming file revision headers and history             *
*                                                                           *
*****************************************************************************
*                                                                           *
*This File:       filedetails.h                                             *
*Author:          David M. Balean <linprogs@balean.net>                     *
*DateStamp:       15-Apr-2013 14.38.34 -36000 0                             *
*                                                                           *
*File Summary:                                                              *
* Header file for filedetails.cpp                                           *
* 20-Aug-2004 12.10.29 -36000 0.00    DMB                                   *
*                                                                           *
*RevHead_End                                                                *
****************************************************************************/

#ifndef _FILEDETAILS_H
#define _FILEDETAILS_H

#include "revhead.h"
#include "entrylist.h"
#include "update.h"

class FileDetails
{
public:
  FileDetails(RevHead *revhead);
  ~FileDetails(void);

  void get_file_details(class Update *update, char *fname, gboolean flag);
    
private:
  static void GetFDSkipFunc(GtkWidget *widget, FileDetails *fd);
  static void GetFDOKFunc(GtkWidget *widget, FileDetails *fd);
  static void AbortFunc(GtkWidget *widget, FileDetails *fd);
  static void callback_f_version_checkbutton_clicked(GtkWidget *widget, FileDetails *fd);
  static void callback_no_auto_checkbutton_clicked(GtkWidget *widget, FileDetails *fd);

  void fill_author_page(GtkWidget *vbox);
  void fill_comment_page(GtkWidget *vbox);
  
  GtkWidget *notebook;
  RevHead *rh;
  EntryList comment_el;
  EntryList summary_el;

  class Update *ud;

  GtkWidget *author_entry;
  GtkWidget *author_email_entry;
  GtkWidget *version_frame;
  GtkWidget *f_version_checkbutton;
  GtkWidget *no_auto_checkbutton;
  GtkWidget *f_major_vernum_entry;
  GtkWidget *f_minor_vernum_entry;
  GtkWidget *f_micro_vernum_entry;

  GtkStyle  *red_style;
  GtkStyle  *blue_style;

  gboolean file_logged;
    
protected:




};

#endif  // _FILEDETAILS_H
