/****************************************************************************
*RevHead_Start                                                              *
*                                                                           *
* Project Details                                                           *
* ---------------                                                           *
*Project Name:    RevHead                                                   *
*Project Version: 4.3.0                                                     *
*Copyright Owner: David M. Balean <linprogs@balean.net>                     *
*Copyright Notice:                                                          *
* This program is free software; you can redistribute it and/or modify it   *
* under the terms of the GNU General Public License as published by         *
* the Free Software Foundation, either version 3 of the License or,         *
* (at your option) any later version.                                       *
* This program is distributed in the hope that it will be useful,           *
* but WITHOUT ANY WARRANTY; without even the implied warranty of            *
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                      *
* See the GNU General Public License for more details.                      *
* You should have received a copy of the GNU General Public License         *
* along with this program. If not, see <http://www.gnu.org/licenses/>.      *
*                                                                           *
*Project Date:    Tuesday 16th April 2013                                   *
*                                                                           *
*Start DateStamp: 15-Sep-2008 11.16.15 -36000 0                             *
*                                                                           *
*Contact:                                                                   *
* email: linprogs@balean.net                                                *
* snail: D.M. Balean, 44 Wyong Road, Killarney Vale, N.S.W. 2261, AUSTRALIA *
* URL:  http://balean.net/linprogs                                          *
*                                                                           *
*Project Summary:                                                           *
* Create/maintain programming file revision headers and history             *
*                                                                           *
*****************************************************************************
*                                                                           *
*This File:       fixfiles.h                                                *
*Author:          David M. Balean <linprogs@balean.net>                     *
*DateStamp:       14-Apr-2013 18.37.24 -36000 0                             *
*                                                                           *
*File Summary:                                                              *
* File header for fixfiles.cpp                                              *
* 20-Aug-2004 12.10.29 -36000 0.00    DMB                                   *
*                                                                           *
*RevHead_End                                                                *
****************************************************************************/
#ifndef __FIXFILES_H__
#define __FIXFILES_H__

//#include "requester.h"
#include "revhead.h"
   
class Fixfiles
{
public:
  Fixfiles(RevHead *revhead);
  ~Fixfiles(void);
        
  void create_display(gboolean flag);

  static string FixDateTXT;
  static string TouchTXT;
//  Requester fr;

private:
  static void do_fixfiles(GtkWidget *widget, Fixfiles *ff);
  static void QuitFixfiles(GtkWidget *widget, Fixfiles *ff);
  static void callback_continue(GtkWidget *widget, class Complain *cn);


  static void callback_selection_changed(GtkWidget *widget, Fixfiles *ff);	
	static void callback_delete_file(GtkWidget *widget, Fixfiles *ff);
	
	void add_new_file(string pathname, Fixfiles *ff);
	void add_columns (GtkTreeView *treeview, gchar *title);
	GtkTreeModel *create_model(void);
	GtkWidget *get_list_store(void);

	GtkWidget *treeview;
  RevHead *rh;

	GtkWidget *file_chooser;

  static gint rem_timer;
  static gint add_timer;
        
        
  static gboolean adding_list;
  gboolean fixdate;
  static list<string>  pathname_list;
	
protected:
      
      
      
};

class File_Info
    {
    public:
      char *string;
      GtkWidget *lb_widget;
    };

#endif  // __FIXFILES_H__
