/****************************************************************************
*RevHead_Start                                                              *
*                                                                           *
* Project Details                                                           *
* ---------------                                                           *
*Project Name:    RevHead                                                   *
*Project Version: 4.3.0                                                     *
*Copyright Owner: David M. Balean <linprogs@balean.net>                     *
*Copyright Notice:                                                          *
* This program is free software; you can redistribute it and/or modify it   *
* under the terms of the GNU General Public License as published by         *
* the Free Software Foundation, either version 3 of the License or,         *
* (at your option) any later version.                                       *
* This program is distributed in the hope that it will be useful,           *
* but WITHOUT ANY WARRANTY; without even the implied warranty of            *
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                      *
* See the GNU General Public License for more details.                      *
* You should have received a copy of the GNU General Public License         *
* along with this program. If not, see <http://www.gnu.org/licenses/>.      *
*                                                                           *
*Project Date:    Tuesday 16th April 2013                                   *
*                                                                           *
*Start DateStamp: 15-Sep-2008 11.16.15 -36000 0                             *
*                                                                           *
*Contact:                                                                   *
* email: linprogs@balean.net                                                *
* snail: D.M. Balean, 44 Wyong Road, Killarney Vale, N.S.W. 2261, AUSTRALIA *
* URL:  http://balean.net/linprogs                                          *
*                                                                           *
*Project Summary:                                                           *
* Create/maintain programming file revision headers and history             *
*                                                                           *
*****************************************************************************
*                                                                           *
*This File:       getproject.h                                              *
*Author:          David M. Balean <linprogs@balean.net>                     *
*DateStamp:       10-Apr-2013 11.55.06 -36000 0                             *
*                                                                           *
*File Summary:                                                              *
* Header file for getproject.cpp                                            *
* 20-Aug-2004 12.10.29 -36000 0.00    DMB                                   *
*                                                                           *
*RevHead_End                                                                *
****************************************************************************/
#ifndef __GETPROJECT__
#define __GETPROJECT__

#include "entrylist.h"
#include "revhead.h"

typedef struct gp_Data GP_Data;

struct gp_Data
{
class EntryList *el;
gboolean  flag;
};

class GetProject
{
public:
  GetProject(RevHead *revhead);
  ~GetProject(void);
        
  static void DoCycleLabel(GtkWidget *widget, gpointer data);
  static void CycleLabel(GtkWidget *widget, gpointer data);

  void get_project(gboolean flag);
       
               
private:
  void continue_update(GetProject *gp);

  static void callback_yes(GtkWidget *widget, Complain *cn);           
  static void callback_get_env(GtkWidget *widget, GetProject *gp);
  static void callback_OK(GtkWidget *widget, GetProject *gp);
  static void callback_abort_all(GtkWidget *widget, GetProject *gp);
  static void callback_cancel(GtkWidget *widget, GetProject *gp);

  void fill_name_page(GtkWidget *vbox);
  void fill_copyright_page(GtkWidget *vbox);
  void fill_comment_page(GtkWidget *vbox);
  GtkWidget *notebook;

//  GtkTooltips *tooltips;

  RevHead *rh;
       
  class EntryList contact_el;
  class EntryList copyright_el;
  class EntryList comment_el;
  class EntryList summary_el;
        
  gboolean existing_project_flag;

  GtkWidget *pathname_widget;
        
  GtkWidget *pname_widget;
        
  GtkWidget *choose_widget;
  GtkWidget *chosen_widget;
  GtkWidget *c_file_widget;
  GtkWidget *cpp_file_widget;
  GtkWidget *a_file_widget;
  GtkWidget *p_auto_inc_widget;
  GtkWidget *f_auto_inc_widget;
        
  GtkWidget *shell_widget;
  GtkWidget *binary_widget;
        
  GtkWidget *c_straight_widget;
  GtkWidget *asm_straight_widget;
                
  GtkWidget *owner_widget;
  GtkWidget *owner_email_entry;
  GtkWidget *major_vernum_entry;
  GtkWidget *minor_vernum_entry;
  GtkWidget *micro_vernum_entry;

  GtkWidget *log_widget;
        
//  GtkWidget *force_ud_widget;
  GtkStyle  *blue_style;
  GList           *ev_list;
  class Update    *ud;
            
protected:
      
      
};

#endif  // __GETPROJECT__
