/****************************************************************************
*RevHead_Start                                                              *
*                                                                           *
* Project Details                                                           *
* ---------------                                                           *
*Project Name:    RevHead                                                   *
*Project Version: 4.3.0                                                     *
*Copyright Owner: David M. Balean <linprogs@balean.net>                     *
*Copyright Notice:                                                          *
* This program is free software; you can redistribute it and/or modify it   *
* under the terms of the GNU General Public License as published by         *
* the Free Software Foundation, either version 3 of the License or,         *
* (at your option) any later version.                                       *
* This program is distributed in the hope that it will be useful,           *
* but WITHOUT ANY WARRANTY; without even the implied warranty of            *
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                      *
* See the GNU General Public License for more details.                      *
* You should have received a copy of the GNU General Public License         *
* along with this program. If not, see <http://www.gnu.org/licenses/>.      *
*                                                                           *
*Project Date:    Tuesday 16th April 2013                                   *
*                                                                           *
*Start DateStamp: 15-Sep-2008 11.16.15 -36000 0                             *
*                                                                           *
*Contact:                                                                   *
* email: linprogs@balean.net                                                *
* snail: D.M. Balean, 44 Wyong Road, Killarney Vale, N.S.W. 2261, AUSTRALIA *
* URL:  http://balean.net/linprogs                                          *
*                                                                           *
*Project Summary:                                                           *
* Create/maintain programming file revision headers and history             *
*                                                                           *
*****************************************************************************
*                                                                           *
*This File:       logfile.h                                                 *
*Author:          David M. Balean                                           *
*DateStamp:       20-Nov-2008 14.43.45 -36000 3600                          *
*                                                                           *
*File Summary:                                                              *
* Header file for logfile.cpp                                               *
* 20-Aug-2004 12.10.29 -36000 0.00    DMB                                   *
*                                                                           *
*RevHead_End                                                                *
****************************************************************************/

#ifndef _LOGFILE_H
#define _LOGFILE_H

#include "revhead.h"

using namespace std;

class Logfile
{
public:
  Logfile(class RevHead *revhead);
  ~Logfile(void);
 
  void open(gboolean first);
  void close(void);
  void rename_tfile(void);
  gboolean append_tfile(void);
  void delete_tfile(void);
  void delete_logfile(void);        
  void write2log(string &s);
  void report(string &s);
        
  gboolean changed;

private:
  static string RH_logname;   
  static fstream logfs;

  RevHead *rh;
  string logname;  // the full pathname of the logfile
  string tname;
  
protected:
 
};
 
#endif // _LOGFILE_H
